Bug 498620 - shutdown/reboot from logged in session does not work
shutdown/reboot from logged in session does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 10:46 EDT by Tom Horsley
Modified: 2010-06-28 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-05-01 10:46:33 EDT
Description of problem:

I have a feeling this is probably a duplicate since I see a lot of complaints
about it, but I can't quite find an existing bugzilla that doesn't read like
a slightly different problem. What I see is:

I'm logged into a gnome session as an ordinary user.

I got to the system menu, pick shutdown, then click the Restart button
in the dialog that pops up.

Sometimes the system will shutdown and reboot, sometimes it won't.

When it doesn't, X does go away, I see console messages about the system
going down immediately, but it doesn't, it hangs instead. If, at this point,
I hit Ctrl-Alt-Del, then the reboot actually proceeds, all the messages
from services being stopped scroll past, and the system reboots.

At least once when the system did go ahead and reboot, I found the root
filesystem got fsck errors and had to do the recovering journal and
clearing orphan inode thing (this is ext3). So apparently when it shutdown
it didn't manage to cleanly shutdown.

Version-Release number of selected component (if applicable):
Hard to guess which component since I'm merely starting this from the gnome
menu, but I don't know that gnome is at fault. However, the most recent
gnome desktop update is:

gnome-desktop-2.26.1-4.fc11.x86_64
kernel-2.6.29.1-111.fc11.x86_64

How reproducible:
Most of the time I get the hang, but not always. The unclean filesystem only
happened once so far.

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
Hangs rather than completing the reboot process

Expected results:
Reboots

Additional info:
If I just type "reboot" in a terminal, that always seems to work OK, which is
why I suspect gnome is involved somehow. Typing reboot behind gnome's back
does tend to get gnome really excited and popup lots of unexpected shutdown
dialog boxes while X is still there to show them.
Comment 1 Benjamin Bellec 2009-05-04 05:55:49 EDT
Hello,
I have exactly the same problem.
I use an Athlon XP (i586), F11 Preview Gnome LiveCD x86 (updated).
The packages used are :
- gnome-desktop-2.26.1-4.fc11.i586
- kernel-2.6.29.1-111.fc11.i586

But in my case, I don't remember to have issues with the filesystem (ext4).
Comment 2 Bug Zapper 2009-06-09 10:56:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 10:03:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:18:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.